import { CircuitValue, Field, SmartContract, Bool, State, PrivateKey, PublicKey } from 'snarkyjs';
export { deploy, submitSolution, getZkAppState, createLocalBlockchain };
declare class Sudoku extends CircuitValue {
    value: Field[][];
    constructor(value: number[][]);
    hash(): Field;
}
export declare class SudokuZkApp extends SmartContract {
    sudokuHash: State<Field>;
    isSolved: State<Bool>;
    init(sudokuInstance: Sudoku): void;
    submitSolution(sudokuInstance: Sudoku, solutionInstance: Sudoku): void;
}
declare function createLocalBlockchain(): PrivateKey;
declare function deploy(zkAppInstance: SudokuZkApp, zkAppPrivateKey: PrivateKey, sudoku: number[][], account: PrivateKey): Promise<void>;
declare function submitSolution(sudoku: number[][], solution: number[][], account: PrivateKey, zkAppAddress: PublicKey, zkAppPrivateKey: PrivateKey): Promise<boolean>;
declare function getZkAppState(zkAppInstance: SudokuZkApp): {
    sudokuHash: string;
    isSolved: boolean;
};
